<?php
// $Id: theme-settings.php,v 1.1 2008/08/26 03:31:47 bengtan Exp $

/**
 * Implementation of THEMEHOOK_settings() function.
 *
 * @param $saved_settings
 *   An array of saved settings for this theme.
 * @return
 *   A form array.
 */
function tma2_settings($saved_settings) {

  // Get the default values from the .info file.
  $themes = list_themes();
  $defaults = $themes['tma']->info['settings'];

  // Merge the saved variables and their default values.
  $settings = array_merge($defaults, $saved_settings);

  /*
   * Create the form using Forms API: http://api.drupal.org/api/6
   */
  $form = array();
  /* -- Delete this line if you want to use this setting
  $form['subtheme_example'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Use this sample setting'),
    '#default_value' => $settings['subtheme_example'],
    '#description'   => t("This option doesn't do anything; it's just an example."),
  );
  // */

  // Add the base theme's settings.
  include_once './' . drupal_get_path('theme', 'zen') . '/theme-settings.php';
  $form += zen_settings($saved_settings, $defaults);
  $form['breadcrumb']['zen_breadcrumb_leading'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Prepend a separator to the beginning of the breadcrumb'),
    '#default_value' => $settings['zen_breadcrumb_leading'],
    '#description'   => t(''),
  );
  $form['breadcrumb']['zen_local_task_tabs'] = array(
    '#type'          => 'checkbox',
    '#title'         => t('Render local tasks as a tab'),
    '#default_value' => $settings['zen_local_task_tabs'],
    '#description'   => t('Check this box to render local tasks as tabs in the content area. Uncheck it if the local tasks are rendered by something else. If you are unsure, leave this box checked.'),
  );

  // Remove some of the base theme's settings.
  unset($form['themedev']['zen_layout']); // We don't need to select the base stylesheet.

  // Return the form
  return $form;
}
